﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{55275247-8D2E-421F-AB35-4BA77449B05A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SecondMonitor.Contracts</RootNamespace>
    <AssemblyName>Contracts</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\Deployment\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\Deployment\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <CodeAnalysisRuleSet>..\..\SecondMonitor.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Ninject, Version=3.3.4.0, Culture=neutral, PublicKeyToken=c7192dc5380945e7">
      <HintPath>..\..\packages\Ninject.3.3.4\lib\net45\Ninject.dll</HintPath>
    </Reference>
    <Reference Include="NLog, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c">
      <HintPath>..\..\packages\NLog.4.7.10\lib\net45\NLog.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.IO.Compression" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AbstractHumanReadableMap.cs" />
    <Compile Include="Async\AsyncExtensions.cs" />
    <Compile Include="Attributes\TimingApplicationLayoutComponent.cs" />
    <Compile Include="Attributes\TimingLayoutElementsNames.cs" />
    <Compile Include="Commands\AsyncCommand.cs" />
    <Compile Include="Commands\AsyncCommandBase.cs" />
    <Compile Include="Commands\IAsyncCommand.cs" />
    <Compile Include="Commands\IRelayCommandWithParameter.cs" />
    <Compile Include="Commands\NotifyTaskCompletion.cs" />
    <Compile Include="Commands\RelayCommand.cs" />
    <Compile Include="Commands\RelayCommandWithCondition.cs" />
    <Compile Include="Commands\RelayCommandWithParameter.cs" />
    <Compile Include="Extensions\DoubleExtension.cs" />
    <Compile Include="Extensions\StringExtensions.cs" />
    <Compile Include="Extensions\TaskExtensions.cs" />
    <Compile Include="Extensions\TimeSpanFormatHelper.cs" />
    <Compile Include="NInject\AbstractBindingMetadataFactory.cs" />
    <Compile Include="NInject\BindingMetadataIds.cs" />
    <Compile Include="NInject\GenericFactory.cs" />
    <Compile Include="NInject\NamedConstructorParameter.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Rating\ISimulatorRatingProvider.cs" />
    <Compile Include="SelectionCounter\SelectionItemCounter.cs" />
    <Compile Include="Session\ISessionInformationProvider.cs" />
    <Compile Include="SimSettings\DriverCustomColorEnabledArgs.cs" />
    <Compile Include="SimSettings\ICarSpecificationProvider.cs" />
    <Compile Include="SimSettings\IDriverPresentationsManager.cs" />
    <Compile Include="SimSettings\ISimSettings.cs" />
    <Compile Include="SimSettings\ISimSettingsFactory.cs" />
    <Compile Include="Statistics\StandardDeviationCalculator.cs" />
    <Compile Include="Statistics\StandardDeviationResult.cs" />
    <Compile Include="TaskQueue\TaskQueue.cs" />
    <Compile Include="TrackMap\IMapManagementController.cs" />
    <Compile Include="TrackMap\IMapsLoader.cs" />
    <Compile Include="TrackMap\IMapsLoaderFactory.cs" />
    <Compile Include="TrackMap\ITrackDtoManipulator.cs" />
    <Compile Include="TrackMap\MapEventArgs.cs" />
    <Compile Include="TrackRecords\TrackRecordsProvider.cs" />
    <Compile Include="UserInput\IUserInputProvider.cs" />
    <Compile Include="WheelInformation\IIdealWheelQuantitiesFiller.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\DataModel\DataModel.csproj">
      <Project>{30DEA773-F579-4A77-9C73-3D58C81612D0}</Project>
      <Name>DataModel</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Common.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Core.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Analyzers.CodeFixes.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Analyzers.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.CSharp.Workspaces.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Workspaces.Common.dll" />
    <Analyzer Include="..\..\packages\Roslynator.Analyzers.3.2.0\analyzers\dotnet\cs\Roslynator.Workspaces.Core.dll" />
    <Analyzer Include="..\..\packages\StyleCop.Analyzers.1.1.118\analyzers\dotnet\cs\StyleCop.Analyzers.CodeFixes.dll" />
    <Analyzer Include="..\..\packages\StyleCop.Analyzers.1.1.118\analyzers\dotnet\cs\StyleCop.Analyzers.dll" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>